Attribute VB_Name = "ERRORS32"
'
' ERRORS32.BAS
'
 
Option Explicit

DefInt A-Z

Dim Text As String * 120

Function GetErrorText(ByVal ErrorCode As Long) As String
Dim Win32Err As Long
Select Case ErrorCode
  Case IE_BADID
     GetErrorText = "Invalid COM port name"
  Case IE_OPEN
     GetErrorText = "COM port already open"
  Case IE_NOPEN
     GetErrorText = "Cannot open COM port"
  Case IE_MEMORY
     GetErrorText = "Unable to allocate memory"
  Case IE_DEFAULT
    GetErrorText = "Error in default parameters"
  Case IE_HARDWARE
     GetErrorText = "Hardware not present"
  Case IE_BYTESIZE
     GetErrorText = "Unsupported byte size"
  Case IE_BAUDRATE
     GetErrorText = "Unsupported baud rate"
  Case WSC_NO_DATA
     GetErrorText = "No data"
  Case WSC_RANGE
     GetErrorText = "Parameter out of range"
  Case WSC_ABORTED
     GetErrorText = "Shareware version corrupted"
  Case WSC_WIN32ERR:
     Win32Err = SioWinError(Text, 120)
     GetErrorText = Text
  Case Else
     GetErrorText = "Error code " + Str$(ErrorCode)
  End Select
End Function

Sub SayError(F As Form, ByVal ErrorCode)
F.Print GetErrorText(ErrorCode)
End Sub
