***[ WSC32 Declarations (WSC Ver 2.4) for Visual dBase 7.0] ***
#define COM1   0
#define COM2   1
#define COM3   2
#define COM4   3
#define COM5   4
#define COM6   5
#define COM7   6
#define COM8   7
#define COM9   8
#define COM10  9
#define COM11 10
#define COM12 11
#define COM13 12
#define COM14 13
#define COM15 14
#define COM16 15
#define COM17 16
#define COM18 17
#define COM19 18
#define COM20 19
* Parity Codes
#define NoParity 0
#define OddParity  1
#define EvenParity 2
#define MarkParity 3
#define SpaceParity 4
* Stop Bit Codes
#define OneStopBit  0
#define TwoStopBits 2
* Word Length Codes
#define WordLength5  5
#define WordLength6  6
#define WordLength7  7
#define WordLength8  8
* return codes
#define WSC_NO_DATA   -100
#define WSC_RANGE     -101
#define WSC_ABORTED   -102
#define WSC_WIN32ERR  -103
#define WSC_EXPIRED   -104
#define IE_BADID      -1
#define IE_OPEN       -2
#define IE_NOPEN      -3
#define IE_MEMORY     -4
#define IE_DEFAULT    -5
#define IE_HARDWARE   -10
#define IE_BYTESIZE   -11
#define IE_BAUDRATE   -12
* baud codes
#define Baud110    0
#define Baud300    1
#define Baud1200   2
#define Baud2400   3
#define Baud4800   4
#define Baud9600   5
#define Baud19200  6
#define Baud38400  7
#define Baud57600  8
#define Baud115200 9
* SioGetError masks
#define WSC_RXOVER   1
#define WSC_OVERRUN  2
#define WSC_PARITY   4
#define WSC_FRAME    8
#define WSC_BREAK    16
#define WSC_TXFULL   256
* WSC Functions
extern CLONG SioBaud(CLONG,CLONG) WSC32.DLL 
extern CLONG SioCTS(CLONG) WSC32.DLL
extern CLONG SioDCD(CLONG) WSC32.DLL 
extern CLONG SioDebug(CLONG) WSC32.DLL 
extern CLONG SioDone(CLONG) WSC32.DLL 
extern CLONG SioDSR(CLONG) WSC32.DLL 
extern CLONG SioDTR(CLONG,CLONG) WSC32.DLL
extern CLONG SioEvent(CLONG,CLONG) WSC32.DLL
extern CLONG SioFlow(CLONG,CLONG) WSC32.DLL
extern CLONG SioInfo(CLONG) WSC32.DLL
extern CLONG SioGetc(CLONG) WSC32.DLL 
extern CLONG SioParms(CLONG,CLONG,CLONG) WSC32.DLL 
extern CLONG SioPutc(CLONG,CLONG) WSC32.DLL
extern CLONG SioRead(CLONG,CLONG) WSC32.DLL
extern CLONG SioReset(CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioRI(CLONG) WSC32.DLL 
extern CLONG SioRTS(CLONG,CLONG) WSC32.DLL
extern CLONG SioRxClear(CLONG) WSC32.DLL 
extern CLONG SioRxQue(CLONG) WSC32.DLL 
extern CLONG SioStatus(CLONG,CLONG) WSC32.DLL
extern CLONG SioTxClear(CLONG) WSC32.DLL
extern CLONG SioTxQue(CLONG) WSC32.DLL
extern CLONG SioUnGetc(CLONG,CLONG) WSC32.DLL
extern CLONG SioWinError(CSTRING,CLONG) WSC32.DLL
***[ End of WSC32 Declarations ]***
