'
' XYDRIV16.BAS [Version 2.3.5]
'
' Set RX & TX queue sizes (SioReset) to at least 1040 bytes.
'

Option Explicit

DefInt A-Z

Global Const XY_IDLE = 0
Global Const XY_RUNNING = -1

' XYDRIVER error codes

Global Const XY_NO_ERROR = 0
Global Const XY_UNKNOWN_ERROR = -300
Global Const XY_ALREADY_ACTIVE_ERROR = -301
Global Const XY_CANNOT_OPEN_ERROR = -302
Global Const XY_EMPTY_FILE_ERROR = -303
Global Const XY_NO_STARTUP_CHAR_ERROR = -304
Global Const XY_NOT_NCG_ERROR = -305
Global Const XY_DISK_READ_ERROR = -306
Global Const XY_NO_EOT_ACK_ERROR = -307
Global Const XY_INTERNAL_ERROR = -308
Global Const XY_CANCELLED_ERROR = -309
Global Const XY_OUT_OF_SYNC_ERROR = -310
Global Const XY_RETRIES_ERROR = -311
Global Const XY_BAD_PACKET_NBR_ERROR = -312
Global Const XY_TIMED_OUT_ERROR = -313
Global Const XY_NO_SUCH_FILE_ERROR = -314
Global Const XY_NOT_ACTIVE_ERROR = -315
Global Const XY_PORT_RANGE_ERROR = -316
Global Const XY_DISK_WRITE_ERROR = -317
Global Const XY_ABORTED_ERROR    = -318
Global Const XY_MEMORY_ERROR = -319
Global Const XY_SHORT_PACKET = -320

' xyGetParameter commands

Global Const XY_GET_ERROR_CODE = 0
Global Const XY_GET_ERROR_STATE = 1
Global Const XY_GET_PACKET = 2
Global Const XY_GET_STATE = 3
Global Const XY_GET_FILE_SIZE = 4
Global Const XY_GET_NBR_NAKS = 5
Global Const XY_GET_DEBUG = 6
Global Const XY_GET_LAST_GET = 7
Global Const XY_GET_LAST_PUT = 8
Global Const XY_GET_GET_COUNT = 9
Global Const XY_GET_PUT_COUNT = 10
Global Const XY_GET_DRIVER_COUNT = 11
Global Const XY_GET_VERSION = 12

' xySetParameter commands

Global Const XY_SET_NAK_RATE = 52
Global Const XY_SET_EOF_CHAR = 53
Global Const XY_SET_STARTUP_WAIT = 54

Declare Sub xyError Lib "XYDRV16.DLL" (ByVal Port, ByVal Text As String)
Declare Function xyAbort Lib "XYDRV16.DLL" (ByVal Port) As Integer
Declare Function xyAcquire Lib "XYDRV16.DLL" (ByVal First, ByVal Last) As Integer
Declare Function xyDebug Lib "XYDRV16.DLL" (ByVal Port) As Integer
Declare Function xyDriver Lib "XYDRV16.DLL" (ByVal Port) As Integer
Declare Function xyGetFileName Lib "XYDRV16.DLL" (ByVal Port, ByVal Text As String, ByVal Size As Integer) As Integer
Declare Function xyGetMessage Lib "XYDRV16.DLL" (ByVal Port, ByVal Text As String, ByVal Size As Integer) As Integer
Declare Function xyGetParameter Lib "XYDRV16.DLL" (ByVal Port, ByVal ParmName As Integer) As Integer
Declare Function xySetParameter Lib "XYDRV16.DLL" (ByVal Port, ByVal ParmName As Integer, ByVal ParmValue As Integer) As Integer
Declare Function xyRelease Lib "XYDRV16.DLL" () As Integer
Declare Function xyStartRx Lib "XYDRV16.DLL" (ByVal Port, ByVal Buffer As String, ByVal NCRchar As Integer, ByVal Batch As Integer) As Integer
Declare Function xyStartTx Lib "XYDRV16.DLL" (ByVal Port, ByVal Buffer As String, ByVal OneKflag As Integer, ByVal Batch As Integer) As Integer
 