VERSION 2.00
Begin Form EASY 
   AutoRedraw      =   -1  'True
   BorderStyle     =   3  'Fixed Double
   Caption         =   "EASY"
   ClientHeight    =   5595
   ClientLeft      =   1665
   ClientTop       =   1905
   ClientWidth     =   8565
   FontBold        =   0   'False
   FontItalic      =   0   'False
   FontName        =   "Courier New"
   FontSize        =   8.25
   FontStrikethru  =   0   'False
   FontUnderline   =   0   'False
   Height          =   6285
   Left            =   1605
   LinkTopic       =   "Form1"
   ScaleHeight     =   5595
   ScaleWidth      =   8565
   Top             =   1275
   Width           =   8685
   Begin Timer Timer1 
      Interval        =   125
      Left            =   360
      Top             =   240
   End
   Begin Menu menuLine 
      Caption         =   "Line"
      Begin Menu menuExit 
         Caption         =   "E&xit"
      End
      Begin Menu menuOnLine 
         Caption         =   "OnLine"
      End
      Begin Menu menuOffLine 
         Caption         =   "OffLine"
         Enabled         =   0   'False
      End
   End
   Begin Menu menuChange 
      Caption         =   "Change"
      Begin Menu menuPort 
         Caption         =   "Port"
         Begin Menu menuCOM1 
            Caption         =   "COM1"
            Checked         =   -1  'True
         End
         Begin Menu menuCOM2 
            Caption         =   "COM2"
         End
         Begin Menu menuCOM3 
            Caption         =   "COM3"
         End
         Begin Menu menuCOM4 
            Caption         =   "COM4"
         End
      End
      Begin Menu menuBaud 
         Caption         =   "Baud"
         Begin Menu menu110 
            Caption         =   "110"
         End
         Begin Menu menu300 
            Caption         =   "300"
         End
         Begin Menu menu1200 
            Caption         =   "1200"
         End
         Begin Menu menu2400 
            Caption         =   "2400"
         End
         Begin Menu menu4800 
            Caption         =   "4800"
         End
         Begin Menu menu9600 
            Caption         =   "9600"
         End
         Begin Menu menu19200 
            Caption         =   "19200"
            Checked         =   -1  'True
         End
         Begin Menu menu38400 
            Caption         =   "38400"
         End
         Begin Menu menu57600 
            Caption         =   "57600"
         End
      End
   End
End

' EASY.BAS

Option Explicit

Sub Form_KeyPress (KeyAscii As Integer)
    Dim Code As Integer
    '''EASY.Print "["; Hex$(KeyAscii); "]";
    If KeyAscii <> 10 Then
      Code = SioPutc(ThePort, KeyAscii)
    End If
End Sub

Sub Form_Load ()
    Dim Row As Integer
    BaudRateTable(0) = "110"
    BaudRateTable(1) = "300"
    BaudRateTable(2) = "1200"
    BaudRateTable(3) = "2400"
    BaudRateTable(4) = "4800"
    BaudRateTable(5) = "9600"
    BaudRateTable(6) = "19200"
    BaudRateTable(7) = "38400"
    BaudRateTable(8) = "57600"
    FatalFlag = 0
    ThePort = COM1
    TheBaudCode = Baud19200
    OnLineFlag = 0
    Call ShowConfig
    Call DisplayInit(EASY)
End Sub

Sub menu110_Click ()
  Call UncheckBaudRate
  menu110.Checked = True
  TheBaudCode = Baud110
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu1200_Click ()
  Call UncheckBaudRate
  menu1200.Checked = True
  TheBaudCode = Baud1200
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu19200_Click ()
  Call UncheckBaudRate
  menu19200.Checked = True
  TheBaudCode = Baud19200
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu2400_Click ()
  Call UncheckBaudRate
  menu2400.Checked = True
  TheBaudCode = Baud2400
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu300_Click ()
  Call UncheckBaudRate
  menu300.Checked = True
  TheBaudCode = Baud300
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu38400_Click ()
  Call UncheckBaudRate
  menu38400.Checked = True
  TheBaudCode = Baud38400
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu4800_Click ()
  Call UncheckBaudRate
  menu4800.Checked = True
  TheBaudCode = Baud4800
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu57600_Click ()
  Call UncheckBaudRate
  menu57600.Checked = True
  TheBaudCode = Baud57600
  Call SetBaud
  Call ShowConfig
End Sub

Sub menu9600_Click ()
  Call UncheckBaudRate
  menu9600.Checked = True
  TheBaudCode = Baud9600
  Call SetBaud
  Call ShowConfig
End Sub

Sub menuCOM1_Click ()
  Call UncheckComPorts
  menuCOM1.Checked = True
  ThePort = COM1
  Call ShowConfig
End Sub

Sub menuCOM2_Click ()
  Call UncheckComPorts
  menuCOM2.Checked = True
  ThePort = COM2
  Call ShowConfig
End Sub

Sub menuCOM3_Click ()
  Call UncheckComPorts
  menuCOM3.Checked = True
  ThePort = COM3
  Call ShowConfig
End Sub

Sub menuCOM4_Click ()
  Call UncheckComPorts
  menuCOM4.Checked = True
  ThePort = COM4
  Call ShowConfig
End Sub

Sub menuExit_Click ()
  Call GoOffLine
  End
End Sub

Sub menuOffLine_Click ()
  menuChange.Enabled = True
  menuOffline.Enabled = False
  menuOnline.Enabled = True
  Call GoOffLine
  Call ShowConfig
End Sub

Sub menuOnLine_Click ()
  menuOffline.Enabled = True
  menuOnline.Enabled = False
  menuChange.Enabled = False
  Call DisplayInit(EASY)
  Call GoOnLine
  Call ShowConfig
End Sub

Sub Timer1_Timer ()
  If OnLineFlag Then
    'get incoming serial data
    Call GetIncoming
  End If
End Sub

Sub UncheckBaudRate ()
'uncheck all baud rates
menu110.Checked = False
menu300.Checked = False
menu1200.Checked = False
menu2400.Checked = False
menu4800.Checked = False
menu9600.Checked = False
menu19200.Checked = False
menu38400.Checked = False
menu57600.Checked = False
End Sub

Sub UncheckComPorts ()
'uncheck all COM ports
menuCOM1.Checked = False
menuCOM2.Checked = False
menuCOM3.Checked = False
menuCOM4.Checked = False
End Sub

