'
' WSC16.BAS
'

 Declare Function SioBaud Lib "WSC16.DLL" (ByVal Port As Integer, ByVal BaudCode As Integer) As Integer
 Declare Function SioBrkSig Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Cmd As Integer) As Integer
 Declare Function SioCTS Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioDCD Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioDSR Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioDTR Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Char As Integer) As Integer
 Declare Function SioDone Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioFlow Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Code As Integer) As Integer
 Declare Function SioInfo Lib "WSC16.DLL" (ByVal Cmd As Integer) As Integer
 Declare Function SioGetc Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioGets Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Buffer As String, ByVal StringSize As Integer) As Integer
 Declare Function SioParms Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Code1 As Integer, ByVal Code2 As Integer, ByVal Code3 As Integer) As Integer
 Declare Function SioPutc Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Char As Integer) As Integer
 Declare Function SioPuts Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Buffer As String, ByVal Size As Integer) As Integer
 Declare Function SioRI Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioRead Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Reg As Integer) As Integer
 Declare Function SioReset Lib "WSC16.DLL" (ByVal Port As Integer, ByVal RxQueSize As Integer, ByVal TxQueSize As Integer) As Integer
 Declare Function SioRTS Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Char As Integer) As Integer
 Declare Function SioRxClear Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioRxQue Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioStatus Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Mask As Integer) As Integer
  Declare Function SioTimer Lib "WSC16.DLL" () As Long
 Declare Function SioTxClear Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioTxQue Lib "WSC16.DLL" (ByVal Port As Integer) As Integer
 Declare Function SioUnGetc Lib "WSC16.DLL" (ByVal Port As Integer, ByVal Char As Integer) As Integer

Rem COM port codes

 Global Const COM1 = 0
 Global Const COM2 = 1
 Global Const COM3 = 2
 Global Const COM4 = 3
 Global Const COM5 = 4
 Global Const COM6 = 5
 Global Const COM7 = 6
 Global Const COM8 = 7
 Global Const COM9 = 8
 Global Const COM10 = 9
 Global Const COM11 = 10
 Global Const COM12 = 11
 Global Const COM13 = 12
 Global Const COM14 = 13
 Global Const COM15 = 14
 Global Const COM16 = 15

Rem Parity Codes

Global Const NoParity = 0
Global Const OddParity = 1
Global Const EvenParity = 2
Global Const MarkParity = 3
Global Const SpaceParity = 4

Rem Stop Bit Codes

Global Const OneStopBit  = 0
Global Const One5StopBit = 1
Global Const TwoStopBits = 2

Rem Word Length Codes

Global Const WordLength5 = 5
Global Const WordLength6 = 6
Global Const WordLength7 = 7
Global Const WordLength8 = 8

Rem baud codes

Global Const Baud110 = 0
Global Const Baud300 = 1
Global Const Baud1200 = 2
Global Const Baud2400 = 3
Global Const Baud4800 = 4
Global Const Baud9600 = 5
Global Const Baud19200 = 6
Global Const Baud38400 = 7
Global Const Baud57600 = 8
Global Const Baud115200 = 9

Rem SioGetError Masks

Global Const WSC_RXOVER = &H1
Global Const WSC_OVERRUN = &H2
Global Const WSC_PARITY = &H4
Global Const WSC_FRAME = &H8
Global Const WSC_BREAK = &H10
Global Const WSC_TXFULL = &H100

Rem Command codes

Global Const ASSERT_BREAK = 65
Global Const CANCEL_BREAK = 67
Global Const DETECT_BREAK = 68

Global Const SET_LINE = 83
Global Const CLEAR_LINE = 67
Global Const READ_LINE = 82

Rem Return codes

Global Const IE_BADID = -1
Global Const IE_OPEN = -2
Global Const IE_NOPEN = -3
Global Const IE_MEMORY = -4
Global Const IE_DEFAULT = -5
Global Const IE_HARDWARE = -10
Global Const IE_BYTESIZE = -11
Global Const IE_BAUDRATE = -12
Global Const WSC_NO_DATA = -100
Global Const WSC_RANGE = -101
Global Const WSC_ABORTED = -102
Global Const WSC_WIN32ERR = -103

 